Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc.internal
[Groovy] Class YamlTocStrategy

    java.lang.Object
      grails.doc.internal.YamlTocStrategy

    class YamlTocStrategy

Class representing a Grails user guide table of contents defined in YAML.

Constructor Summary
`YamlTocStrategy(java.lang.Object resourceChecker)`

Method Summary
`UserGuideNode` | `generateToc(java.lang.Object yaml)`
`protected UserGuideNode` | `load(java.lang.String yaml)`
`protected UserGuideNode` | `load(java.io.File file)`
`protected UserGuideNode` | `load(java.io.InputStream input)`
`protected UserGuideNode` | `load(java.io.Reader input)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### YamlTocStrategy

    YamlTocStrategy(java.lang.Object resourceChecker)

Method Detail

### generateToc

    UserGuideNode generateToc(java.lang.Object yaml)

### load

    protected UserGuideNode load(java.lang.String yaml)

### load

    protected UserGuideNode load(java.io.File file)

### load

    protected UserGuideNode load(java.io.InputStream input)

### load

    protected UserGuideNode load(java.io.Reader input)

Groovy Documentation